#ifndef MYGSL_H_INCLUDED
#define MYGSL_H_INCLUDED

typedef struct Mygsl_pdfs
{
    unsigned long int rannum;
    unsigned long int ranmin;
    unsigned long int ranmax;
    float ranuniform;
    float ranuniformpos;
    double randistribution;
    double rand_pdf;
    double rand_cdf_P;
    double rand_cdf_Q;
} PDFS;

PDFS Mygsl_pitch_dists(int distribnumber, int counter, const gsl_rng * r);
double a, b, c, p, alpha, beta, mu, nu, nu1, nu2, nn, sigma, zeta;
unsigned int n, n1, n2, t;

#endif // MYGSL_H_INCLUDED
